Subject: bug#39932: closed (Re: [bug#39932] [PATCH 1/3] gnu: python-xyz: Add python-distlib.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 08 Mar 2020 23:23:02 +0000

Your bug report

#39932: [PATCH 0/3] python-virtualenv: Update to 20.0.8.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39932: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39932
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#39932] [PATCH 1/3] gnu: python-xyz: Add python-distlib.
From: Jakub Kądziołka <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Mon, 9 Mar 2020 00:22:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Mar 08, 2020 at 09:18:12PM +0100, Ludovic Courtès wrote:
> Hello,
> 
> Jakub Kądziołka <[email-masked]> skribis:
> 
> > * gnu/packages/python-xyz.scm (python-distlib): New variable.
> 
> [...]
> 
> > +       (modify-phases %standard-phases
> > +         (add-before 'build 'no-/bin/sh
> > +           (lambda _
> > +             (substitute* '("distlib/scripts.py" "tests/test_scripts.py")
> > +               (("/bin/sh") (which "sh")))))
> > +         (add-before 'check 'prepare-test-env
> > +           (lambda _
> > +             (setenv "HOME" "/tmp")
> > +             ;; NOTE: Any value works, the variable just has to be present.
> > +             (setenv "SKIP_ONLINE" "1"))))))
> 
> Please return #t from both phases, as is conventional.
Argh, I'm always forgetting about that. It would be nice to have a lint
for this...

> Apart from that, all 3 patches LGTM!
Thanks! I pushed the commits, the last one got a hash of
94d57ba3399aeb1b34d52e5e866c609f5a18ec2b

Subject: [PATCH 0/3] python-virtualenv: Update to 20.0.8.
From: Jakub Kądziołka <[email-masked]>
To: [email-masked]
Date: Thu, 5 Mar 2020 20:14:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I have ran into an issue with virtualenv (see #39930). I have thought
that updating the package might help, but it didn't change anything. Either
way, the task was non-trivial enough to benefit from your review.

Jakub Kądziołka (3):
  gnu: python-xyz: Add python-distlib.
  gnu: python-xyz: Add python-filelock.
  gnu: python-virtualenv: Update to 20.0.8.

 gnu/packages/python-xyz.scm | 80 +++++++++++++++++++++++++++++++------
 1 file changed, 67 insertions(+), 13 deletions(-)

-- 
2.25.1